// cpp_herit.cpp : définit le point d'entrée pour l'application console.
//

#include "stdafx.h"
#include <stdio.h>

class Base 
{
private:
	int x;
protected:
	int y;
public:
	Base()
	{
		x=y=0;
	}
	Base(int t)
	{
		x=y=t;
	}
	virtual void affiche()
	{
		printf("x=%d, y=%d\n",x,y);
	}
} ;
// class Derive extends Base
class Derive : public Base
{
public:
	Derive () : Base(3) // super(int)
	{

	}

	Derive(char*s) : Base() // super()
	{

	}

	void affiche()
	{
		printf("coucou, je suis dans Derive");
		Base::affiche(); // appelle la version dans Base
	}
} ;

int main(int argc, char* argv[])
{
	Base b(17);
	Derive d;
	Derive e("coucou");
	b.affiche();
	d.affiche();
	e.affiche();

	Base*bb;
	Derive*dd;
	dd=new Derive();
	bb=dd;
	bb->affiche();	// appelle celle de Base ou de Derive ?
	return 0;
}














